Subject: [spfbis] [Errata Held for Document Update] RFC7208 (4453)

From: RFC Errata System <[email-masked]>
Date: Mon, 24 Aug 2015 14:57:32 -0700 (PDT)

The following errata report has been held for document update 
for RFC7208, "Sender Policy Framework (SPF) for Authorizing Use of Domains in Email, Version 1". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7208&eid=4453

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Seymour J. Metz <[email-masked]>
Date Reported: 2015-08-24
Held by: Barry Leiba (IESG)

Section: 5.6.  "ip4"

Original Text
-------------
  ip4-cidr-length  = "/" ("0" / %x31-39 0*1DIGIT) ; value range 0-32
  ip6-cidr-length  = "/" ("0" / %x31-39 0*2DIGIT) ; value range 0-128

Corrected Text
--------------
  ip4-cidr-length  = "/" (DIGIT / 
                          %x31-%x32 DIGIT /
                          %x33 %x30-%x32) ; value range 0-32

  ip6-cidr-length  = "/" ("0" /
                          %31-%39 0*1DIGIT /
                          "1" %30-%31 DIGIT /
                          "12" %30-%38) ; value range 0-128

Notes
-----
As written the ABNF matches ranges 0-99 and 0-999, not the ranges in the comments.
Note: I coded the ABNF the way that I did to avoid leading zeros.

----- Verifier Notes -----
This isn't documenting an error: the ABNF was specified as it was intentionally, using the comments to restrict the range.  I'm marking this "Held for Document Update" in case we ever revise this and want to consider making the ABNF pickier.

--------------------------------------
RFC7208 (draft-ietf-spfbis-4408bis-21)
--------------------------------------
Title               : Sender Policy Framework (SPF) for Authorizing Use of Domains in Email, Version 1
Publication Date    : April 2014
Author(s)           : S. Kitterman
Category            : PROPOSED STANDARD
Source              : SPF Update
Area                : Applications
Stream              : IETF
Verifying Party     : IESG